let layer, laydate, table, form;
$(function () {
    layui.use(['layer', 'laydate', 'table', 'form'], function () {
        layer = layui.layer;
        laydate = layui.laydate;
        form = layui.form;
        table = layui.table;
        initLayDate(laydate);
        businessDivisionPullDown(form,null);
        initTable();
    });

});
function search(type) {
    if (type === 1) {
    } else {
        $("#keyWord").val("");
        $("#evaluateDeptId").val("");
        $("#auditStatusId").val("");
        $("#startDate").val("");
        $("#endDate").val("");
        form.render('select');
    }
    table.reload('baseTable', {
        url: ctxPath + '/backstage/teamEvaluate/getTeamEvaluateList',
        page: {
            curr: 1
        },
        where: {
            keyWord: $("#keyWord").val(),
            evaluateDeptId: $("#evaluateDeptId").val(),
            auditStatusId: $("#auditStatusId").val(),
            startDate: $("#startDate").val(),
            endDate: $("#endDate").val(),
        }
    });
}

function initTable() {
    //渲染表格
    table.render({
        elem: '#baseTable'
        , url: ctxPath + '/backstage/teamEvaluate/getTeamEvaluateList' //数据接口
        , method: 'get' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {
            operType: 3,
        } //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {
                field: 'number', width: 80, title: '序号', align: 'center', type: 'numbers'
            }
            , {field: 'evaluateDept', align: 'center', title: '评价事业部'}
            , {field: 'evaluateTitle', align: 'center', title: '评价标题'}
            , {field: 'evaluateMonth', align: 'center', title: '评价年月'}
            , {field: 'projectNum', align: 'center', title: '项目数量'}
            , {field: 'outsourcerNum', align: 'center', title: '外包商数量'}
            , {field: 'checkStatus', align: 'center', title: '审批状态'}
            , {field: 'reasons', align: 'center', title: '驳回原因'}
            , {
                fixed: 'right', width: 180, title: '操作', align: 'center', templet: d => {
                    let text = "";
                    if (d.checkStatus === '待审核') {
                        text += '<a lay-event="approval" style="color: #009688;cursor: pointer;font-size: 15px"' +
                            '  id="approval">审批</a>';
                    } else if (d.checkStatus === '已通过' || d.checkStatus === '评价驳回') {
                        text += '<a lay-event="view" style="color: #009688;cursor: pointer;font-size: 15px"' +
                            '  id="view">查看</a>';
                    }
                    return text;
                }
            },
        ]]
        , id: 'baseTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [10, 20, 100]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },
        toolbar: "#toolbar"
    });

    table.on('tool(test)', function (obj) {
        var data = obj.data; //当前行数据
        var rowIndex = obj.index;
        var layEvent = obj.event; //当前点击的事件名
        if (layEvent === 'approval') {
            evaluatingSubpages(1,data,'审批');
        }
        if (layEvent === 'view') {
            evaluatingSubpages(2, data, '查看');
        }
    });

    //评价子页面
    function evaluatingSubpages(type,data,title) {
        data.type = type;
        localStorage.setItem("downEvaluateInfo",JSON.stringify(data));
        let layerIndex = layer.open({
            type: 2,
            title: title,
            shade: 0,
            area: ['80%', '90%'],
            scrollbar: true,
            move: false,
            anim: 2,
            yes: function (index, layero) {
            },
            content: './viewEvaluateTable.html',
        });
    }
}